# RTP_Session::EncodingLock Class Reference

`#include <rtp.h>`

Collaboration diagram for RTP_Session::EncodingLock:

[legend]

## Public Member Functions

| EncodingLock (RTP_Session &_session)
| ~EncodingLock ()
__inline RTP_Encoding * | operator-> () const

## Protected Attributes

RTP_Session & | session
RTP_Encoding * | m_encodingHandler

## Constructor & Destructor Documentation

RTP_Session::EncodingLock::EncodingLock | ( | RTP_Session & | _session | ) |

RTP_Session::EncodingLock::~EncodingLock | ( |  | ) |

## Member Function Documentation

__inline RTP_Encoding* RTP_Session::EncodingLock::operator-> | ( |  | ) | const`[inline]`

## Field Documentation

RTP_Encoding* RTP_Session::EncodingLock::m_encodingHandler `[protected]`

RTP_Session& RTP_Session::EncodingLock::session `[protected]`

The documentation for this class was generated from the following file:

- rtp.h